Skip to main content
POST
/
stores
/
{storeId}
/
products
/
{productId}
/
duplicate
Duplicate product
curl --request POST \
  --url https://api.komerza.com/stores/{storeId}/products/{productId}/duplicate \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>"
}
'
{
  "success": true,
  "message": "<string>",
  "code": "<string>",
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "dateCreated": "2023-11-07T05:31:56Z",
    "variants": [
      {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "dateCreated": "2023-11-07T05:31:56Z",
        "name": "<string>",
        "productId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "storeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "cost": 50000,
        "deliveryTypes": [
          "<string>"
        ],
        "files": [
          {
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "dateCreated": "2023-11-07T05:31:56Z",
            "friendlyName": "<string>",
            "ipAddress": "<string>",
            "userId": "<string>"
          }
        ],
        "minimumQuantity": 123,
        "maximumQuantity": 123,
        "order": 123,
        "imageNames": [
          "<string>"
        ],
        "stock": 123,
        "stockMode": 0,
        "customFields": [
          {
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "dateCreated": "2023-11-07T05:31:56Z",
            "variantId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "label": "<string>",
            "identifier": "<string>",
            "type": "<string>",
            "isRequired": true,
            "options": [
              {
                "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
                "dateCreated": "2023-11-07T05:31:56Z",
                "customFieldId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
                "label": "<string>",
                "value": "<string>",
                "order": 1073741823
              }
            ],
            "placeholder": "<string>",
            "hint": "<string>"
          }
        ],
        "volumeDiscounts": [
          {
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "dateCreated": "2023-11-07T05:31:56Z",
            "variantId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "quantity": 1073741824,
            "discountType": 0,
            "discountValue": 50000
          }
        ],
        "disableVolumeDiscountOnCoupon": true,
        "dynamicUrl": "<string>",
        "deliveryMessage": "<string>",
        "metadata": "<string>"
      }
    ],
    "name": "<string>",
    "description": "<string>",
    "visibility": 0,
    "imageNames": [
      "<string>"
    ],
    "storeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "userId": "<string>",
    "shouldBlockVpns": true,
    "order": 123,
    "isBestSeller": true,
    "blacklistedPaymentGateways": [
      "<string>"
    ],
    "additionalFees": {},
    "affiliateDiscountMode": 0,
    "slug": "<string>",
    "metaDescription": "<string>",
    "metadata": "<string>",
    "customAffiliateDiscountPercentage": 50
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.komerza.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Your API key goes here

Path Parameters

storeId
string<uuid>
required

The ID of the store.

productId
string<uuid>
required

The ID of the product to duplicate.

Body

application/json

The Komerza.Common.Forms.Products.DuplicateProductForm with duplication details.

Form for duplicating a product

name
string
required

The name of the product, this is displayed publicly on the store page and marketplace. Must be unique to avoid confusion about which product is new and old

Required string length: 3 - 64

Response

The operation was successfully completed.

Represents a default generic response for API endpoints.

success
boolean
required

Indicates whether the operation or response was successful.

message
string | null

A descriptive message providing additional context or information about the response.

code
string | null

The error code (if there was an error) to use when referencing the error

data
object

Represents a product that belongs to a specific store and contains details such as name, description, visibility, and associated information.